Solved `pkg` is broken in jails after upgrading: "repository meta has wrong version"

Kay

Member

Reaction score: 1
Messages: 27

Recently I upgraded from 11.1 to 11.3, and also upgraded the jails too, per ezjail doc. BTW I use ezjail to create and manage all my jails.

Now the problem is `pkg` commands all fail inside the jails. Commands I tried inside the jail:

* `pkg install curl`
* `pkg udpate -f`
* `pkg-static upgrade -f pkg`

They all fail with:

Code:
[root@chicken ~]$ pkg-static upgrade -f pkg
Updating FreeBSD repository catalogue...
pkg-static: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
pkg-static: Repository FreeBSD load error: meta cannot be loaded No error: 0
[chicken] Fetching meta.txz: 100%    916 B   0.9kB/s    00:01
pkg-static: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
repository FreeBSD has no meta file, using default settings
[chicken] Fetching packagesite.txz: 100%    6 MiB   1.3MB/s    00:05
pkg-static: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
pkg-static: Repository FreeBSD load error: meta cannot be loaded No error: 0
Unable to open created repository FreeBSD
Unable to update repository FreeBSD
Error updating repositories!

A few observations:
  • Inside the jail, `pkg -v` gives `1.10.5`
  • in the host, `pkg -v` give `1.13.2`
  • inside jail AND on the host, `uname -UK` both give `1103000 1103000`
 
Top